package com.chinacreator.process.util;

import com.chinacreator.common.util.URLUtil;
import com.chinacreator.process.dao.DictionaryDao;

/**
 * 调用cap包周期接口工具类
 * @date 20200427
 */
public class CycleUtil {




    public static String cycleCancel(String mdn,String spproductid, String cpid,String spid) throws Exception{
        DictionaryDao dictionaryDao = SpringUtils.getBean(DictionaryDao.class);
        String vacUrl = dictionaryDao.getValue("cycleCancel");
        if(vacUrl.indexOf("?") == -1) {
            vacUrl += "?";
        } else {
            vacUrl += "&";
        }
        vacUrl += "mdn=" + mdn;
        vacUrl += "&spproductid=" + spproductid;
        vacUrl += "&cpid=" + cpid;
        vacUrl += "&spid=" + spid;
        return  URLUtil.get(vacUrl);    }









}
